document.addEventListener("DOMContentLoaded", function() {
 gsap.registerPlugin(ScrollTrigger)

 let container = document.getElementById("container");
 let scrollContainer = document.getElementById("scroll-container");

  // 4900 is total width of all images
   const X = 4900 - container.offsetWidth

   let tl = gsap.timeline({
     scrollTrigger: {
           trigger: scrollContainer,
           scrub: true,
           start:"top top",
           end: "+=4000",
           pin: true,
           toggleActions: "restart pause reverse pause"
         }
   })

    gsap.utils.toArray('.module').forEach((el, i) => {
     tl.fromTo(el,{x: 0}, { x: `-=${X}`, autoAlpha: 1, duration: 0.1}, "-=0.1")
   });
//     Text animation
   gsap.fromTo('.module p', {clipPath: 'polygon(0% 0%, 75% 0%, 100% 50%, 75% 100%, 0% 100%)'}, {clipPath: 'polygon(0% 0%, 26% 0, 26% 49%, 26% 100%, 0% 100%)', duration: 0.8, repeat: -1, repeatDelay: 1, ease: "sine", yoyo: true})
 });